Carbide Motion V5 Compatibility

My old computer crashed. I bought a new computer and installed Carbide Motion V5. Is that compatible with my old Shapeoko 3XXL ? If so, where can I find the steps to set it up? If not, Can I download the old version?

If your machine has Grbl 0.9 then Carbide Motion 368 is available at:

https://carbide3d.com/downloads

Please note that it won’t check for version compatibility, so you should start with Carbide Motion 5:

https://carbide3d.com/carbidemotion/download

and only if it errors and complains of Grbl 1.1 not being on the machine should you try CM3.

If you do have Grbl 0.9 and wish to update you will need a 64-bit computer — contact us at support@carbide3d.com

1 Like